# Method: projects.locations.instances.upgrade

- [HTTP request](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/upgrade#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/upgrade#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/upgrade#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/upgrade#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/upgrade#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/upgrade#body.aspect)
- [Examples](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/upgrade#examples)
- [Try it!](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/upgrade#try-it)

Upgrades the Memcache instance to a newer memcached engine version specified in the request.

### HTTP request

`POST https://memcache.googleapis.com/v1/{name=projects/*/locations/*/instances/*}:upgrade`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Memcache instance resource name using the form: `projects/{project}/locations/{location}/instances/{instance}` where `locationId` refers to a GCP region. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "memcacheVersion": enum (`https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances#MemcacheVersion`) } ``` |

| Fields ||
|---|---|
| `memcacheVersion` | ``enum (`https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances#MemcacheVersion`)`` Required. Specifies the target version of memcached engine to upgrade to. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).